Hooks:PostHook( BlackMarketTweakData, "_init_weapon_skins", "AKVarAttchSkinInit", function(self)

	--AK74
	self.weapon_skins.ak74_luxury.parts.wpn_fps_ass_ak_fg_valme = {
		[Idstring("ak_base"):key()] = {
			uv_offset_rot = Vector3(0.130217, 0.931553, 0.0944058),
			pattern_pos = Vector3(0.0348201, 0, 0),
			uv_scale = Vector3(14.8511, 14.6128, 0),
			pattern = Idstring("units/payday2_cash/safes/cf15/pattern/pattern_dead_birds_df"),
			pattern_tweak = Vector3(4.78417, 0, 1)
		}
	}

	self.weapon_skins.ak74_bloodsplat.parts.wpn_fps_ass_ak_g_gecko = {
		[Idstring("mtr_grip"):key()] = {
			base_gradient = Idstring("units/payday2_cash/safes/shared/base_gradient/base_shared_003_df"),
			pattern_gradient = Idstring("units/payday2_cash/safes/cop/pattern_gradient/gradient_cop_prisonsuit_df"),
			pattern_pos = Vector3(0.072979, 0.177916, 0),
			pattern_tweak = Vector3(1.63606, 1.48801, 1),
			pattern = Idstring("units/payday2_cash/safes/cop/pattern/pattern_orange_prison_suit_df")
		}
	}
	self.weapon_skins.ak74_bloodsplat.parts.wpn_fps_ass_ak_s_gecko = {
		[Idstring("mtr_s_1b"):key()] = {
			pattern_tweak = Vector3(1.63606, 0.0194812, 1),
			uv_offset_rot = Vector3(-0.089196, 0.836156, 0),
			uv_scale = Vector3(2.93246, 4.02898, 1),
			pattern_pos = Vector3(-0.480324, 0, 0),
			pattern_gradient = Idstring("units/payday2_cash/safes/cop/pattern_gradient/gradient_cop_prisonsuit_df"),
			pattern = Idstring("units/payday2_cash/safes/cop/pattern/pattern_orange_prison_suit_df")
		}
	}

	self.weapon_skins.ak74_golddigger.parts.wpn_fps_ass_ak_g_gecko = {
		[Idstring("mtr_grip"):key()] = {
			pattern_pos = Vector3(0, -0.559102, 0)
		}
	}
	self.weapon_skins.ak74_golddigger.parts.wpn_fps_ass_ak_s_gecko = {
		[Idstring("mtr_s_1b"):key()] = {
			pattern_pos = Vector3(0.022, -1.50915, 0)
		}
	}

	self.weapon_skins.ak74_tam.parts.wpn_fps_ass_ak_fg_valme = {
		[Idstring("ak_base"):key()] = {
			base_gradient = Idstring("units/pd2_dlc_tam/base_gradient/tam_basegradient_002_df"),
			pattern_tweak = Vector3(0.538996, 0, 1),
			pattern_pos = Vector3(-1.20534, 0.998331, 0)
		}
		-- [Idstring("handguard_lower_wood"):key()] = {
			-- base_gradient = Idstring("units/pd2_dlc_tam/base_gradient/tam_basegradient_002_df")
		-- }
	}
	self.weapon_skins.ak74_tam.parts.wpn_fps_ass_ak_g_gecko = {
		[Idstring("mtr_grip"):key()] = {
			pattern_tweak = Vector3(0.825187, 0, 1),
			pattern_pos = Vector3(-1.37706, 0.340091, 0)
		}
	}
	self.weapon_skins.ak74_tam.parts.wpn_fps_ass_ak_s_gecko = {
		[Idstring("mtr_s_1b"):key()] = {
			base_gradient = Idstring("units/pd2_dlc_tam/base_gradient/tam_basegradient_002_df"),
			pattern_pos = Vector3(0.778917, 0.076979, 0)
		}
	}


	--AKM
	self.weapon_skins.akm_wolf.parts.wpn_fps_ass_ak_fg_valme = {
		[Idstring("ak_base"):key()] = {
			pattern_pos = Vector3(0.157836, 0.089979, 0),
			pattern_tweak = Vector3(5.11806, 0, 1)
		}
	}

	self.weapon_skins.akm_same.parts.wpn_fps_ass_ak_fg_valme = {
		[Idstring("ak_base"):key()] = {}
	}

	self.weapon_skins.akm_mxs.parts.wpn_fps_ass_ak_b_gecko = {
		[Idstring("mtr_barrel_1"):key()] = {
			base_gradient = Idstring("units/payday2_cash/safes/mxs/base_gradient/base_mxs_013_c_df")
		},
		[Idstring("mtr_fg_01"):key()] = {
			base_gradient = Idstring("units/payday2_cash/safes/mxs/base_gradient/base_mxs_013_c_df")
		}
	}
	self.weapon_skins.akm_mxs.parts.wpn_fps_ass_ak_fg_valme = {
		[Idstring("ak_base"):key()] = {
			pattern_gradient = Idstring("units/payday2_cash/safes/bah/pattern_gradient/gradient_bah_002_df"),
			uv_offset_rot = Vector3(0.0825187, 1.17005, 1.27822),
			cubemap_pattern_control = Vector3(0.112807, 0.105652, 0),
			uv_scale = Vector3(0.310353, 1.02547, 1),
			pattern_tweak = Vector3(0.920584, 0, 1),
			base_gradient = Idstring("units/payday2_cash/safes/mxs/base_gradient/base_mxs_011_b_df"),
			pattern = Idstring("units/payday2_cash/safes/mxs/pattern/mxs_pattern_004_df")
		}
	}
	self.weapon_skins.akm_mxs.parts.wpn_fps_ass_ak_s_gecko = {
		[Idstring("mtr_s_1b"):key()] = {
			pattern_tweak = Vector3(0.872886, 0, 1),
			cubemap_pattern_control = Vector3(0.272597, 0.270212, 0),
			sticker = Idstring("units/payday2_cash/safes/mxs/sticker/mxs_sticker_008_df"),
			uv_scale = Vector3(2.32069, 3.74293, 1),
			pattern_gradient = Idstring("units/payday2_cash/safes/bah/pattern_gradient/gradient_bah_002_df"),
			uv_offset_rot = Vector3(-0.0448784, 0.913473, 0.0794209),
			pattern = Idstring("units/payday2_cash/safes/mxs/pattern/mxs_pattern_004_df")
		}
	}

	self.weapon_skins.akm_tam.parts.wpn_fps_ass_ak_fg_valme = {
		[Idstring("ak_base"):key()] = {
			base_gradient = Idstring("units/pd2_dlc_tam/base_gradient/tam_basegradient_002_df"),
			pattern_tweak = Vector3(0.634393, 0, 1),
			pattern_pos = Vector3(0, 0.950632, 0)
		}
	}
	self.weapon_skins.akm_tam.parts.wpn_fps_ass_ak_s_gecko = {
		[Idstring("mtr_s_1b"):key()] = {
			base_gradient = Idstring("units/pd2_dlc_tam/base_gradient/tam_basegradient_002_df"),
			pattern_tweak = Vector3(1.06368, 0, 1),
			pattern_pos = Vector3(0.836156, 0.101598, 0)
		}
	}


	--Saiga
	self.weapon_skins.saiga_buck.parts.wpn_fps_ass_ak_g_gecko = {
		[Idstring("mtr_grip"):key()] = {
			pattern_pos = Vector3(0.001, 0, 0),
			uv_offset_rot = Vector3(-0.26661, 0.917013, 1.53296),
			uv_scale = Vector3(0.7871, 0.501052, 1)
		}
	}
	self.weapon_skins.saiga_buck.parts.wpn_fps_ass_ak_s_gecko = {
		[Idstring("mtr_s_01"):key()] = {
			base_gradient = Idstring("units/payday2_cash/safes/buck/base_gradient/base_buck_002_df"),
			uv_offset_rot = Vector3(-2, -2, 0)
		}
	}

	self.weapon_skins.saiga_grunt.parts.wpn_fps_ass_ak_g_gecko = {
		[Idstring("mtr_grip"):key()] = {
			base_gradient = Idstring("units/payday2_cash/safes/buck/base_gradient/base_buck_002_df"),
			pattern_gradient = Idstring("units/payday2_cash/safes/bah/pattern_gradient/gradient_bah_005_df"),
			pattern_tweak = Vector3(0, 0, 1)
		}
	}
	self.weapon_skins.saiga_grunt.parts.wpn_fps_ass_ak_s_gecko = {
		[Idstring("mtr_s_01"):key()] = {
			base_gradient = Idstring("units/payday2_cash/safes/grunt/base_gradient/base_grunt_004_df")
		},
		[Idstring("mtr_s_1b"):key()] = {
			base_gradient = Idstring("units/payday2_cash/safes/grunt/base_gradient/base_grunt_002_df"),
			pattern_tweak = Vector3(0.0620104, 0, 1)
		}
	}
			

	--AK17
	self.weapon_skins.flint_cs3.parts.wpn_fps_ass_ak_g_gecko = {
		[Idstring("mtr_grip"):key()] = {
			pattern = "units/payday2_cash/safes/cs3/pattern/cs3_pattern_015_b_df",
			pattern_gradient = "units/payday2_cash/safes/cs3/pattern_gradient/gradient_cs3_015_df",
			pattern_tweak = Vector3(1, 0, 0)
		}
	}

	self.weapon_skins.flint_cs4.parts.wpn_fps_ass_ak_g_gecko = {
		[Idstring("mtr_grip"):key()] = {
			pattern = "units/payday2_cash/safes/cs4/pattern/cs4_pattern_012_h_df",
			pattern_gradient = "units/payday2_cash/safes/cs4/pattern_gradient/gradient_cs4_012_b_df",
			base_gradient = "units/payday2_cash/safes/cs4/base_gradient/base_cs4_012_c_df"
		}
	}

	self.weapon_skins.flint_css.parts.wpn_fps_ass_ak_g_gecko = {
		[Idstring("mtr_grip"):key()] = {
			base_gradient = "units/payday2_cash/safes/css/base_gradient/base_css_010_df"
		}
	}


	--AKMSU
	self.weapon_skins.akmsu_grunt.parts.wpn_fps_smg_akmsu_fg_mar = {
		[Idstring("mtr_fg_01"):key()] = {
			base_gradient = Idstring("units/payday2_cash/safes/grunt/base_gradient/base_grunt_005_df")
		}
	}
	self.weapon_skins.akmsu_grunt.parts.wpn_fps_ass_ak_g_gecko = {
		[Idstring("mtr_grip"):key()] = {
			pattern_gradient = Idstring("units/payday2_cash/safes/grunt/pattern_gradient/gradient_grunt_003_df"),
			base_gradient = Idstring("units/payday2_cash/safes/grunt/base_gradient/base_grunt_016_df"),
			pattern_pos = Vector3(-0.212212, -1.49153, 0),
			pattern_tweak = Vector3(0, 0, 1),
			pattern = Idstring("units/payday2_cash/safes/shared/pattern/pattern_acryl_001_df")
		}
	}
	self.weapon_skins.akmsu_grunt.parts.wpn_fps_smg_akmsu_s_rk62 = {
		[Idstring("mtr_solid"):key()] = {
			base_gradient = Idstring("units/payday2_cash/safes/dinner/base_gradient/base_assault_004_df"),
			sticker = Idstring("units/payday2_cash/safes/grunt/sticker/grunt_sticker_008_df"),
			uv_scale = Vector3(1, 1.02547, 1),
			uv_offset_rot = Vector3(0.00620119, 1.2082, 0)
		}
	}
		
end)